package com.qmth.themis.business.service;

import com.qmth.themis.business.dto.AuthDto;

/**
 * @Description: ehcache 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/27
 */
public interface CacheService {

    /**
     * 添加用户缓存
     *
     * @param userId
     * @return
     */
    public AuthDto addAccountCache(Long userId);

    /**
     * 删除用户缓存
     *
     * @param userId
     */
    public void removeAccountCache(Long userId);

    /**
     * 添加学生缓存
     *
     * @param studentId
     * @return
     */
    public AuthDto addStudentCache(Long studentId);

    /**
     * 删除学生缓存
     *
     * @param userId
     */
    public void removeStudentCache(Long userId);
}
